com.smartgwt.client.bean.types

## Class DataSourceBaseValueType<ValueType extends DataSource>

- java.lang.Object
- - com.smartgwt.client.bean.BeanValueType<ValueType>
  - - com.smartgwt.client.bean.types.JsoWrapperValueType<ValueType>
    - - com.smartgwt.client.bean.types.DataSourceBaseValueType<ValueType>

-     public abstract class DataSourceBaseValueType<ValueType extends DataSource>
      extends JsoWrapperValueType<ValueType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

      `BeanValueType.Convertability, BeanValueType.MetaFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceBaseValueType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanValueType.Convertability` | `convertabilityFrom(java.lang.Object value)`
    `ValueType` | `convertFrom(java.lang.Object value)`
    `java.lang.String` | `getScClassName()`

    - ### Methods inherited from class com.smartgwt.client.bean.types.JsoWrapperValueType

      `canWrapJavaScriptObject, newInstance`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

      `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, getValueType, isA, isAssignableFrom, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceBaseValueType

          public DataSourceBaseValueType()

  - ### Method Detail

    - #### convertabilityFrom

          public BeanValueType.Convertability convertabilityFrom(java.lang.Object value)

      Overrides:
        `convertabilityFrom` in class `JsoWrapperValueType<ValueType extends DataSource>`

    - #### getScClassName

          public java.lang.String getScClassName()

      Overrides:
        `getScClassName` in class `JsoWrapperValueType<ValueType extends DataSource>`

    - #### convertFrom

          public ValueType convertFrom(java.lang.Object value)

      Overrides:
        `convertFrom` in class `JsoWrapperValueType<ValueType extends DataSource>`